<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */

get_header();

$irepair_get_layout = irepair_get_layout();
$irepair_layout = $irepair_get_layout['layout'];
$irepair_sidebar = $irepair_get_layout['sidebar'];
$irepair_layout_class = $irepair_get_layout['class'];
?>

    <section class="section">
        <div class="container">
            <div class="section__inner">
                <div class="row">
                    <div class="<?php echo esc_attr( $irepair_layout_class ); ?>">

                        <?php
                        if ( ! function_exists( 'elementor_location_exits' ) || ! elementor_location_exits( 'archive', true ) ) {

                            get_template_part( 'template-parts/post/archive' );

                        } else {

                            if ( function_exists( 'elementor_theme_do_location' ) ) {

                                elementor_theme_do_location( 'archive' );

                            }

                        }
                        ?>

                    </div>
                    <?php irepair_show_sidebar( $irepair_layout, $irepair_sidebar ); ?>
                </div>
            </div>
        </div>
    </section>

<?php get_footer();
