<?php
$post_ID = isset( $wp_query ) ? $wp_query->get_queried_object_id() : ( get_the_ID() > 0 ? get_the_ID() : '' );

$footer_section_id = false;
$footer_section_id = ( in_array( get_post_meta( $post_ID, 'irepair_page_footer', true ), array( 'global', '' ) ) || $post_ID == '' ) ? irepair_get_option( 'footer_block', 'default' ) : get_post_meta( $post_ID, 'irepair_page_footer', true );
if ( function_exists( 'icl_object_id' ) ) {
    $footer_section_id = icl_object_id ( $footer_section_id, 'pix-section', true );
}
?>
<?php if ( irepair_use_section() && $footer_section_id && ( $footer_section_id != 'empty' || $footer_section_id != 'default' ) ) : ?>
<footer class="footer">
    <div class="container">
        <?php irepair_get_section_content( $footer_section_id ); ?>
    </div>
</footer>
<?php endif; ?>

<?php if ( ! $footer_section_id || ! irepair_use_section() || 'default' === $footer_section_id ) : ?>
<footer class="footer bg-1">
    <div class="container">
        <div class="py-40 text-center">
            <div class="footer__copyright">
                <?php $irepair_copyright_text = irepair_get_option( 'footer_copyright_text', sprintf( esc_html__( '© %s iRepair Company ltd', 'irepair' ), date( 'Y' ) ) ); ?>
                <?php echo wp_kses( $irepair_copyright_text, 'irepair-default' ); ?>
            </div>
        </div>
    </div>
</footer>
<?php endif;
