/* global wp, jQuery */

( function( $, api ) {

    $( document ).ready( function() {

        $( '.controls.pix-radio-img-container li img' ).on( 'click', function() {
            $( this ).closest( 'li' ).siblings().find( 'img' ).removeClass( 'pix-radio-img-selected' );
            $( this ).addClass( 'pix-radio-img-selected' );
        });

        $( '.customize-control-product-categories-checkbox-multiple input[type="checkbox"]' ).on( 'change', function() {

            var checkbox_values = $( this ).parents( '.customize-control' ).find( 'input[type="checkbox"]:checked' ).map(
                function() {
                    return this.value;
                }
            ).get().join( ',' );

            $( this ).parents( '.customize-control' ).find( 'input[type="hidden"]' ).val( checkbox_values ).trigger( 'change' );
        } );

    } );

}( jQuery, wp.customize ) );