<?php
/**  Theme defaults values  **/

add_action( 'after_setup_theme', 'irepair_theme_defaults' );
function irepair_theme_defaults() {

    // Logo
    update_option( 'irepair_default_logo_width', '174' );

    // Colors
    update_option( 'irepair_default_accent_color', '#cf253f');
    update_option( 'irepair_default_compliment_color', '#cf253f');
    update_option( 'irepair_default_item_bg_color', '#000000' );
    update_option( 'irepair_default_section_bg_color', '#000000' );
    update_option( 'irepair_default_bg_color', '#0f0f0f' );
    update_option( 'irepair_default_text_color', '#5e5e5e' );
    update_option( 'irepair_default_text_color_bright', '#ffffff' );
    update_option( 'irepair_default_border_color', '#282828' );
    update_option( 'irepair_default_button_bg_color', '#cf253f' );
    update_option( 'irepair_default_button_color', '#ffffff' );
    update_option( 'irepair_default_button_border_color', '#0a0a0a' );

    // header paddings/margins
    update_option( 'irepair_default_header_padding_top', '160' );
    update_option( 'irepair_default_header_padding_bottom', '100' );
    update_option( 'irepair_default_header_margin_bottom', '100' );

}
