( function($) {

        'use strict';

        var w = $( window ).width();

        var iRepairSwiperHandler = function( $scope, $ ) {
            var $element = $scope.find( '.pix-swiper-widget' );

            $element.iRepairSwiper();
        };

        var iRepairSwiperHcardsHandler = function( $scope, $ ) {
            var $element = $scope.find( '.pix-swiper-widget' );

            $element.iRepairSwiper();
            $element.find( '.lastchanceProducts' ).on( 'breakpoint', function( event, swiper, breakpoint ) {
                $( this ).find( '.productCard2__slider' ).each( function () {
                    var imgBox = $( this ).children( '.productCard2__images' ),
                        hoverBox = imgBox.children( '.productCard2__hover' ),
                        hoverDots = imgBox.next( '.productCard2__dots' ),
                        countImg = imgBox.children( 'span' ).length;

                    hoverBox.children().on( 'touch touchstart mouseover', function () {
                        var index = $( this ).index();
                        imgBox.children().eq( index ).addClass( 'active' ).siblings().removeClass( 'active' );
                        hoverDots.children().eq( index ).addClass( 'active' ).siblings().removeClass( 'active' );
                    });

                    hoverDots.children().on( 'touch touchstart mouseover', function () {
                        var index = $( this ).index();
                        imgBox.children().eq( index).addClass( 'active' ).siblings().removeClass( 'active' );
                        hoverDots.children().eq( index ).addClass( 'active' ).siblings().removeClass( 'active' );
                    });

                    if ( w <= 768 ) {
                        imgBox.on( 'click touch touchstart', function( e ) {
                            e.preventDefault();
                        });
                    }
                });
            });
        };

        $( window ).on( 'elementor/frontend/init', function() {
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-logos-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-product-categories-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-posts-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-products-extended-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-products-vcard-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-products-hcard-carousel.default', iRepairSwiperHcardsHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-products-double-block-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-team-double-block-carousel.default', iRepairSwiperHandler );
            elementorFrontend.hooks.addAction( 'frontend/element_ready/irepair-testimonials-carousel.default', iRepairSwiperHandler );
        } );

} )( jQuery );
