<?php
    $irepair_title_breacrumbs_display = irepair_get_option( 'title_breacrumbs_display', 'show' );
    
    $bg_image = irepair_get_option('header_bg_image', '');
    $image = $bg_image;
    
    if ( class_exists( 'WooCommerce' ) && is_product() && irepair_get_option( 'header_style_prod', '' ) != '' ){
        $irepair_title_breacrumbs_display = irepair_get_option( 'header_style_prod' );
        $irepair_title_breacrumbs_display = $irepair_title_breacrumbs_display == 'hide_breadcrumbs' ? 'hide' : $irepair_title_breacrumbs_display;
        $image = irepair_get_option('header_bg_image_prod', '') != '' ? irepair_get_option('header_bg_image_prod', '') : $bg_image;
    }
    
    $image = $image == '' ? '' : 'style="background-image:url('.esc_url($image).');"';
?>
<div class="header__page bg-1 text-center" <?php echo wp_kses($image, 'post') ?>>
    <div class="pix-overlay"></div>
    <div class="container">
        <div class="header__pageInfo">
            <?php if ( $irepair_title_breacrumbs_display != 'hide' && $irepair_title_breacrumbs_display != 'hide_title' ) : ?>
            <h1 class="h2">
                <?php irepair_the_header_title(); ?>
            </h1>
            <?php endif; ?>
            <?php if ( function_exists( 'irepair_breadcrumbs' ) && $irepair_title_breacrumbs_display != 'hide' && $irepair_title_breacrumbs_display != 'hide_breadcrumbs' ) : ?>
            <nav aria-label="breadcrumb">
                <?php irepair_breadcrumbs(); ?>
            </nav>
            <?php endif; ?>
        </div>
    </div>
</div>
