<?php

if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) :

    $post_ID = isset( $wp_query ) ? $wp_query->get_queried_object_id() : ( get_the_ID() > 0 ? get_the_ID() : '' );

    $irepair_header_color = ( in_array( get_post_meta( $post_ID, 'irepair_header_color', true ), array( 'global', '' ) ) || $post_ID == '' ) ? irepair_get_option( 'header_color', 'text-default' ) : get_post_meta( $post_ID, 'irepair_header_color', true );
    $irepair_header_sticky = irepair_get_option( 'header_sticky', '' );
    
    ?>

    <header class="header <?php echo esc_attr( $irepair_header_color ); ?> <?php echo esc_attr( $irepair_header_sticky ); ?>">
        <?php
        get_template_part( 'template-parts/header/header', 'navigation' );
        if ( ! is_page_template( 'templates/home-template.php' ) ) :
            get_template_part( 'template-parts/header/header', 'title' );
        endif;
        ?>
    </header>

<?php
endif;
